package cn.cecep.talroad.service.analysis;

import cn.cecep.talroad.domain.analysis.SRaRealTimeAnalysisRun;
import cn.cecep.talroad.vo.EChartsVO;
import cn.cecep.talroad.vo.query.analysis.SRaRealTimeAnalysisRunQuery;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * 企业装备运行情况实时分析Service接口
 *
 * @author szhpt
 * @date 2023-03-24*/
public interface ISRaRealTimeAnalysisRunService extends IService<SRaRealTimeAnalysisRun>
{
    /**
     * 查询企业装备运行情况实时分析列表
     *
     * @param sRaRealTimeAnalysisRun 企业装备运行情况实时分析
     * @return 企业装备运行情况实时分析集合
     */
    public List<SRaRealTimeAnalysisRun> selectSRaRealTimeAnalysisRunList(SRaRealTimeAnalysisRunQuery sRaRealTimeAnalysisRun);

    /**
     * 运行状态options
     * @return
     */
    List<Map<String, Object>> pullStatusOptions();

    /**
     * 设备名称options
     * @return
     */
    List<Map<String, Object>> pullDeviceNameOptions(String factoryName);

    List<SRaRealTimeAnalysisRun> selectAnalysisRunByParams(SRaRealTimeAnalysisRun oldBasDevice);

    EChartsVO resultCurve(String deviceId, String monitoringStartTime, String monitoringEndTime);

    List<EChartsVO> analysisCurve(String deviceId, String monitoringStartTime, String monitoringEndTime, String judgementBasis);

    String analysisCurveEndTime(String deviceId, String monitoringStartTime, String monitoringEndTime);
}
